# Uses of Class
org.springframework.web.servlet.config.annotation.ViewControllerRegistration

Packages that use ViewControllerRegistration
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of ViewControllerRegistration in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ViewControllerRegistration
Modifier and Type
Method
Description
`ViewControllerRegistration`
ViewControllerRegistry.`addViewController(String urlPathOrPattern)`
Map a URL path or pattern to a view controller to render a response with the configured status code and view.
`ViewControllerRegistration`
ViewControllerRegistration.`setStatusCode(org.springframework.http.HttpStatusCode statusCode)`
Set the status code to set on the response.